#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Astro
%define		pnam	FITS-CFITSIO
Summary:	Astro::FITS::CFITSIO - Perl extension for using the cfitsio library
Summary(pl.UTF-8):	Astro::FITS::CFITSIO - rozszerzenie Perla do korzystania z biblioteki cfitsio
Name:		perl-Astro-FITS-CFITSIO
Version:	1.10
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	90a933310d986f32c953cb73caf58bf3
URL:		http://search.cpan.org/dist/Astro-FITS-CFITSIO/
BuildRequires:	cfitsio-devel >= 2.500
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	cfitsio >= 2.500
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Astro::FITS::CFITSIO is a Perl interface to William Pence's cfitsio
subroutine library.

This module attempts to provide a wrapper for nearly every cfitsio
routine, while retaining as much cfitsio behavior as possible. As
such, one should be aware that it is still somewhat low-level, in the
sense that handing an array which is not the correct size to a routine
like fits_write_img() may cause SIGSEGVs.

The goal is to eventually use these routines to build a more Perl-like
interface to many common tasks such as reading and writing of images
and ASCII and binary tables.

%description -l pl.UTF-8
Astro::FITS::CFITSIO jest perlowym interfejsem do biblioteki cfitsio
Williama Pence'a.

Ten moduł jest próbą dostarczenia obudowania dla prawie wszystkich
funkcji cfitsio przy zachowaniu możliwie najbliższym cfitsio. Przez to
trzeba mieć na uwadze, że dostęp jest nieco niskopoziomowy, w tym
sensie, że przekazanie tablicy o złym rozmiarze do funkcji typu
fits_write_img() może powodować SIGSEGV.

Celem autora jest ewentualne wykorzystanie tych funkcji to stworzenia
bardziej perlowego interfejsu do wielu ogólnych zadań, takich jak
odczyt i zapis obrazów oraz tablic binarnych i ASCII.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
export CFITSIO=/usr
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NOTES README TODO
%{perl_vendorarch}/Astro/FITS
%dir %{perl_vendorarch}/auto/Astro/FITS
%dir %{perl_vendorarch}/auto/Astro/FITS/CFITSIO
%{perl_vendorarch}/auto/Astro/FITS/CFITSIO/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Astro/FITS/CFITSIO/CFITSIO.so
%{_mandir}/man3/Astro::FITS::CFITSIO.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_examplesdir}/%{name}-%{version}/INDEX
%{_examplesdir}/%{name}-%{version}/*.fits.*
%changelog
* Wed Mar 11 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Astro-FITS-CFITSIO.git;a=log;h=auto/th/perl-Astro-FITS-CFITSIO-1.10-5

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 917209a
- x32 rebuild
- release 5 (by relup.sh)

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 93d74d8
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ebd4006
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6a1d7cd
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5b51dc1
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 7c1c46c
- BR: perl-ExtUtils-PkgConfig

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 5407c7d
- up to 1.10

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7d210c3
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a6273ae
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> 2d2b1e9
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 60a477f
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ce04532
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ffbcbc9
- converted to UTF-8

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> cd09a71
- correct env var

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> 744fe34
- 1.05, generic URL

* Wed Dec 01 2004 Jakub Bogusz <qboosh@pld-linux.org> b538f8b
- this version needs cfitsio 2.500 to build correctly and work

* Wed Dec 01 2004 radek <radek@pld-linux.org> e2f367f
- version 1.03

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a4368ce
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 22da0d5
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 Jakub Bogusz <qboosh@pld-linux.org> 9413d38
- updated to 1.02 for new cfitsio

